Subject: bug#1379: [gtk] emacs --daemon not working with X11 dual-head

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 20 Feb 2022 14:52:51 +0100

[email-masked] writes:

> I wanted to start using the "emacs --daemon" option with subsequent
> "emacsclient ..." invocations. Everything works fine, as long as only
> one of my X11 screens is used. But when I want to start a new frame
> on display :0.1 while one or more frames are already running on
> display :0.0 the following happens:
>
> - Executing "emacsclient -c " for the first time: A frame appears, and
>   immediately disappears again with the error message
>   *ERROR*: X protocol error: BadDrawable (invalid Pixmap or Window
> parameter) on protocol request 14
>
> - Executing "emacsclient -c " for the second time: A frame appears,
>   but emacs is in a complete dead lock after this.
>
> Used Version: 
> i  emacs-snapshot                                   1:20081013-1
>
> on Ubuntu 8.10 / x86_64

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

Do you still see this problem in recent versions of Emacs/gtk?  I can't
recall seeing any similar reports in recent years.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no